package org.springblade.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = "params")
public class YamlParamsConfig {

	// 本地存储文件路径
	private String localFilePath;

	// 调用反诈预警接口的账号
	private String fzyjAccount;

	// 调用反诈预警接口的密钥
	private String fzyjApiKey;

	// 拉取预警的接口地址
	private String fzyjGetWaitedUrgentRisksUrl;

	// 受理预警的接口地址
	private String fzyjMarkUrgentRisksUrl;

	// 附件上传的接口地址
	private String fzyjFileuploadUrl;

	// 预警反馈的接口地址
	private String fzyjFeedbackUrgentRisksUrl;

	// 预警移交/指派的接口地址
	private String fzyjDealUrgentRisksUrl;
}
