package org.springblade.jdrh.feign;

import org.springblade.common.constant.CommonConstant;
import org.springblade.core.tool.api.R;
import org.springblade.jdrh.entity.CsInfoEntity;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
	//定义Feign指向的service-id
	value = CommonConstant.APPLICATION_JDRH_NAME
)
public interface JdrhClient {
	/**
	 * 接口前缀
	 */
	String API_PREFIX = "/api/csInfo/info";

	/**
	 * 获取详情
	 * @return
	 */
	@GetMapping(API_PREFIX + "/detail")
	R<CsInfoEntity> detail(CsInfoEntity csInfoEntity);
}
