package org.springblade.command.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

@Data
@TableName("fzyj")
@EqualsAndHashCode(callSuper = true)
public class FzyjEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

	// 同步的预警记录id
	private Long syncId;
	// 预警编号
	private String warnNumber;
	// 推送状态 0未推送 1已推送
	private int pushStatus;
	/**
	 * 状态
	 * 11=未处理 / 22=APP终端系统已受理 / 33=APP终端系统已反馈 / 44=APP终端系统已移交 / 55=APP终端系统已指派
	 * 66=入库部接口成功 / 77=入库部接口失败 / 88=其他系统优先处理（如直接在国家反诈平台处理了，在96110平台上处理了） / 99=正在入库部接口
	 */
	private Integer dealState;
	// 数据来源
	private String dataSourceDct;
	// 预警账号（手机号或身份证号）
	private String warnAccount;
	// 账号类型(以判断预警账号账号长度为准，11位为手机号，超过则是身份照号)
	private String accountTypeDct;
	// 归属地
	private String phoneregLocation;
	// 归属运营商
	private String ownedOperatorDct;
	// 预警等级,如果没值替换为2
	private String warnLevelDct;
	// 风险特征，如果没有值替换为12
	private String riskFeaturesDct;
	// 最近联系时间
	private String lastContactTime;
	// 引擎发现时间
	private String engineDiscoveryTime;
	// 下发时间
	private String xfsj;
	// 处理情况
	private String feedbackStatusDct;
	// 处理单位编码，6位数字的单位编码，参考《单位码表.xlsx》
	private String disposeUnit;
	// 转账次数
	private Long tradesNumber;
	// 通话次数
	private String callNumber;
	// 通话时长(分)
	private String callDuration;
	// 交易时间
	private String transactionTime;
	// 交易金额(元)
	private String transactionAmount;
	// 交易发生地
	private String transactionAddress;
	// 交易结果
	private String transactionResult;
	// 登录网址
	private String loginUrl;
	// 登录时长(分)
	private String loginDuration;
	// 登录次数
	private String loginCount;
	// 受害人姓名
	private String victimName;
	// 受害人身份证号
	private String victimIdcard;
	// 受害人手机号
	private String victimPhone;
	// 受害人银行账号
	private String victimBankNumber;
	// 受害人活动地区
	private String victimAddress;
	// 嫌疑人姓名
	private String suspectName;
	// 嫌疑人身份证号
	private String suspectIdcard;
	// 嫌疑人联系方式
	private String suspectPhone;
	// 嫌疑人银行账号
	private String suspectBankNumber;
	// 嫌疑人活动地区
	private String suspectAddress;
	// 劝阻指引
	private String warnDissuadeGuide;
	// 归属单位省编号
	private String disposeProvinceCode;
	// 归属单位市编号
	private String disposeCityCode;
	// 归属地省编号
	private String gsdProvinceCode;
	// 归属地市编号
	private String gsdCityCode;
}
