package org.springblade.command.pojo.vo;

import lombok.Data;
import org.springblade.command.pojo.entity.FzyjFjEntity;
import org.springblade.command.pojo.entity.FzyjFkEntity;
import org.springblade.command.pojo.entity.FzyjShrEntity;

import java.util.List;

/**
 * 预警反馈 视图实体类
 *
 * @author BladeX
 * @since 2023-12-04
 */
@Data
public class FzyjFkVO extends FzyjFkEntity {
	private static final long serialVersionUID = 1L;
	/**
	 * 派出所id
	 */
	private Long pcsId;
	/**
	 * blade_user表主键
	 */
	private Long userId;
	/**
	 * 附件的url地址（国家反诈平台上的）
	 */
	private String webUrl;
	/**
	 * 附件的url地址（96110平台上的）
	 */
	private String localUrl;
	/**
	 * 处置方式
	 */
	private String disposalWayDct;
	/**
	 * 反馈情况
	 */
	private String fsafadsDct;
	/**
	 * 反馈人工号
	 */
	private String feedbackId;
	/**
	 * 反馈人身份证号，要确保和国家反诈系统中保存的身份证号保持一致
	 */
	private String feedbackIdcard;
	/**
	 * 反馈人姓名
	 */
	private String feedbackName;
	/**
	 * 6位数字的单位编码（精度到区县），要确保是反馈人所属单位编码，参考《单位码表.xlsx》
	 */
	private String feedbackUnit;
	/**
	 * 见面民警，如张三
	 */
	private String seeName;
	/**
	 * 见面单位，如xx派出所
	 */
	private String seeUnit;
	/**
	 * 反馈人类型 1=管理员反馈 2=民警反馈
	 */
	private int fkrType;
	/**
	 * 受害人列表
	 */
	private List<FzyjShrEntity> shrList;
	/**
	 * 附件
	 */
	private FzyjFjEntity fj;

}
